capability-provider-bindings

Operations of the Capability Registry API. Paths are relative to your deployment's API host.

GET /api/capability-registry-api/provider-bindings

List the caller org's provider bindings (optionally filtered by capabilityRef).

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
capabilityRefquerystringyes
StatusDescriptionBody
200application/json CapabilityProviderBindingListDtoDataEnvelope

POST /api/capability-registry-api/provider-bindings

Create a capability provider binding for the caller org.

Authentication: bearer token (Authorization: Bearer <token>)

Request body: application/json CreateCapabilityProviderBindingDto

StatusDescriptionBody
201application/json CapabilityProviderBindingDtoDataEnvelope

PATCH /api/capability-registry-api/provider-bindings/{id}

Update a capability provider binding owned by the caller org.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
idpathstringyes

Request body: application/json UpdateCapabilityProviderBindingDto

StatusDescriptionBody
200application/json CapabilityProviderBindingDtoDataEnvelope
404

DELETE /api/capability-registry-api/provider-bindings/{id}

Delete a capability provider binding owned by the caller org.

Authentication: bearer token (Authorization: Bearer <token>)

ParameterInTypeRequiredDescription
idpathstringyes
StatusDescriptionBody
204
404